org.appng.openapi.invoke.auth

## Class ApiKeyAuth

- java.lang.Object
- - org.appng.openapi.invoke.auth.ApiKeyAuth

- All Implemented Interfaces:
    Authentication

      @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class ApiKeyAuth
      extends Object
      implements Authentication

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiKeyAuth(String location, String paramName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyToParams(org.springframework.util.MultiValueMap<String,String> queryParams, org.springframework.http.HttpHeaders headerParams, org.springframework.util.MultiValueMap<String,String> cookieParams)` Apply authentication settings to header and / or query parameters.
    `String` | `getApiKey()`
    `String` | `getApiKeyPrefix()`
    `String` | `getLocation()`
    `String` | `getParamName()`
    `void` | `setApiKey(String apiKey)`
    `void` | `setApiKeyPrefix(String apiKeyPrefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiKeyAuth

          public ApiKeyAuth(String location,
                            String paramName)

  - ### Method Detail

    - #### getLocation

          public String getLocation()

    - #### getParamName

          public String getParamName()

    - #### getApiKey

          public String getApiKey()

    - #### setApiKey

          public void setApiKey(String apiKey)

    - #### getApiKeyPrefix

          public String getApiKeyPrefix()

    - #### setApiKeyPrefix

          public void setApiKeyPrefix(String apiKeyPrefix)

    - #### applyToParams

          public void applyToParams(org.springframework.util.MultiValueMap<String,String> queryParams,
                                    org.springframework.http.HttpHeaders headerParams,
                                    org.springframework.util.MultiValueMap<String,String> cookieParams)

      Description copied from interface: `Authentication`
      Apply authentication settings to header and / or query parameters.
      Specified by:
        `applyToParams` in interface `Authentication`
      Parameters:
        `queryParams` - The query parameters for the request
        `headerParams` - The header parameters for the request
        `cookieParams` - The cookie parameters for the request

Copyright © 2011–2023 aiticon GmbH. All rights reserved.